package com.miyzh.mapper.pre;

import com.github.pagehelper.Page;
import com.github.pagehelper.PageInfo;
import com.miyzh.entity.Manage;
import com.miyzh.entity.UploadExceptionLog;
import io.lettuce.core.dynamic.annotation.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * description: UploadExpectionLogDao
 * date: 2020/6/18 12:07
 * author: SZQ
 */
@Mapper
public interface UploadExcepctionLogMapper {

    List<UploadExceptionLog> selectListLimit(@Param("limit") int limit);

    List<UploadExceptionLog> selectListByDate(Map<String, Object> params);

    Integer insert(UploadExceptionLog uploadExceptionLog);

    Integer update(UploadExceptionLog uploadExceptionLog);

    Integer saveUploadDocStatusReq(UploadExceptionLog uploadExceptionLog);

    List<UploadExceptionLog> selectUploadDocStatusList();

    List<UploadExceptionLog> selectUploadPatbillInfoList();

    Integer saveUploadPatBillInfoReq(UploadExceptionLog uploadExceptionLog);

    String searchBySerialNo(@Param("serialNo") String serialNo);

    String searchDocBySerialNo(@Param("serialNo") String serialNo);

    String searchErrBySerialNo(@Param("serialNo") String serialNo);

    Manage init();

    Manage initY();
}
